Subject: Re: [PATCH v4 00/13] submodule: convert parts of 'update' to C

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Mar 2022 16:40:56 -0800

Glen Choo <[email-masked]> writes:

> Original series: https://lore.kernel.org/git/[email-masked]
>
> = Patch summary
>
> - Patch 1 adds extra tests to "git submodule update" to make sure we
>   don't break anything
> - Patch 2 removes dead code that used to be part of "git submodule
>   update"
> - Patch 3 prepares for later changes by introducing the C function that
>   will hold most of the newly converted code
> - Patch 4 moves run-update-procedure's --suboid option into C
> - Patch 5 moves ensure-core-worktree into C
> - Patches 6-8 move run-update-procedure's --remote option into C
> - Patches 9-11 move "git submodule update"'s --init into C
> - Patches 12-13 move "git submodule update"'s --filter option into C

Looking good.  Will queue.

Let's see if there are further comments before declaring victory and
merging it down to 'next' shortly.

Thanks.